### Enumeration

# GLib IOChannelError

#### Declaration

    error-domain GLib.IOChannelError

#### Description [src]

Error codes returned by `GIOChannel` operations.

#### Members

`G_IO_CHANNEL_ERROR_FBIG`

  File too large.

  - Value: `0`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_INVAL`

  Invalid argument.

  - Value: `1`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_IO`

  IO error.

  - Value: `2`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_ISDIR`

  File is a directory.

  - Value: `3`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_NOSPC`

  No space left on device.

  - Value: `4`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_NXIO`

  No such device or address.

  - Value: `5`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_OVERFLOW`

  Value too large for defined datatype.

  - Value: `6`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_PIPE`

  Broken pipe.

  - Value: `7`
  - Available since: 2.0
`G_IO_CHANNEL_ERROR_FAILED`

  Some other error.

  - Value: `8`
  - Available since: 2.0